import Typography, { TypographyProps } from '@mui/joy/Typography';

export function TitlePortal(props: TypographyProps) {
  return (
    <Typography
      sx={{ color: "inherit" }}
      flex="1"
      textOverflow="ellipsis"
      whiteSpace="nowrap"
      overflow="hidden"
      level="title-md"
      id="react-admin-title"
      {...props} />
  );
}
