import { ReactNode } from "react";
import { AccessControlContext } from "./AccessControlContext";
import { CanFunction } from "./types";

export type AccessControlProviderProps = {
  can?: CanFunction;
  children?: ReactNode;
}

export function AccessControlProvider(props: AccessControlProviderProps) {
  return (
    <AccessControlContext.Provider value={props.value}>
      {props.children}
    </AccessControlContext.Provider>
  )
}
