import { createContext, ErrorInfo } from "react";
import { FallbackProps } from "react-error-boundary";

export interface ErrorContextValue {
  errorInfo?: ErrorInfo;
  error: Error;
  resetErrorBoundary: FallbackProps['resetErrorBoundary'];
}

export const ErrorContext = createContext<ErrorContextValue | null>(null)
